Add application endpoint
curl --request POST \
--url https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/endpoints \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"cdn": {
"isSslEnabled": true,
"pullZoneId": 123,
"portMappings": [
{
"containerPort": 32768,
"exposedPort": 32768,
"protocols": []
}
]
}
}
'import requests
url = "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/endpoints"
payload = {
"displayName": "<string>",
"cdn": {
"isSslEnabled": True,
"pullZoneId": 123,
"portMappings": [
{
"containerPort": 32768,
"exposedPort": 32768,
"protocols": []
}
]
}
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
cdn: {
isSslEnabled: true,
pullZoneId: 123,
portMappings: [{containerPort: 32768, exposedPort: 32768, protocols: []}]
}
})
};
fetch('https://api.bunny.net/mc/apps/{appId}/containers/{containerId}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Endpoints
Add application endpoint
Add CDN or Anycast endpoint to a container of given application.
POST
/
apps
/
{appId}
/
containers
/
{containerId}
/
endpoints
Add application endpoint
Authorizations
Please enter a valid personal API key.
Path Parameters
The ID of the application
The ID of the container template
Body
application/jsontext/jsonapplication/*+json
The endpoint configuration
Response
Endpoint was successfully created.
Last modified on July 7, 2026
Was this page helpful?
⌘I